Name:           perl-Test-Simple
Version:        1.302207
Release:        1%{?dist}
Summary:        Basic utilities for writing tests
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Simple/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006002
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(B)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util) >= 1.13
BuildRequires:  perl(Storable)
BuildRequires:  perl(Term::Table) >= 0.013
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
Requires:       perl(B)
Requires:       perl(Data::Dumper)
Requires:       perl(Exporter)
Requires:       perl(File::Spec)
Requires:       perl(File::Temp)
Requires:       perl(overload)
Requires:       perl(Scalar::Util) >= 1.13
Requires:       perl(Storable)
Requires:       perl(Term::Table) >= 0.013
Requires:       perl(Time::HiRes)
Requires:       perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
** If you are unfamiliar with testing read Test::Tutorial first! **

%prep
%setup -q -n Test-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc appveyor.yml Changes cpanfile examples LICENSE META.json perltidyrc README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jan 21 2025 Koozali 1.302207-1
- Specfile autogenerated by cpanspec 1.78.
